Create a staff member blockout
Body·
required
application/json
Fields accepted when creating a staff member blockout. Unknown or read-only fields are rejected.
- Type: string | nullFormat: dateend
Date requiredfull-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21
- Type: string | nullFormat: uuidstaff
Member Id requiredReferences staffMembers.id.
- Type: string | nullFormat: datestart
Date requiredfull-date notation as defined by RFC 3339, section 5.6, for example, 2017-07-21
- Type: string | nullreason
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/staff-member-blockouts
curl https://api.weddingoperatingsystems.com/api/v1/staff-member-blockouts \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"staffMemberId": null,
"startDate": null,
"endDate": null,
"reason": null
}'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"staffMemberId": null,
"startDate": null,
"endDate": null,
"reason": null,
"createdTime": "2026-09-30T06:22:05.746Z",
"lastEditedTime": "2026-09-30T06:22:05.746Z"
}
}